Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Unreal to InspIRCd  (Read 5864 times)

0 Members and 1 Guest are viewing this topic.

P2P-Fire

  • Guest
Unreal to InspIRCd
« on: February 19, 2007, 02:37:10 AM »

I was planning on doing a daemon switch.  But it's come to my attentiont that Anope seems to have problems when it comes to using InspIRCd.

I've not researched the matter myself, but could anyone shed any light into this by explaining whether the new dev versions are a easier to use with InspIRCd, and what has to be done to get it to work.

I'm just trying to expand my IRC Network's Horizons!
Logged

Casey

  • Anope User
  • Offline Offline
  • Posts: 53
(No subject)
« Reply #1 on: February 19, 2007, 03:01:46 AM »

Hi P2P-Fire

I use InspIRCd just on myself - haven't got a server running yet.

The standard Anope does not have support for InspIRCd 1.1 -- the SVN Anope Trunk has the support for 1.1 beta 8 +

You can get the SVN from
http://dane.zero.org/websvn/listing.php?repname=Anope&path=%2F&sc=0
-- the trunk tarball

anope.org
SVN Web - from the menu

Inside inspircd.conf - you need to have spanningtree -- globops -- services.so -- for Anope to connect to InspIRCd.
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
(No subject)
« Reply #2 on: February 19, 2007, 12:01:46 PM »

the stable 1.6 branch doesn't even support inspircd so yes you will have to use at least the latest dev version, but even better svn because there are a lot of unfixed bugs in the latest dev, even the svn doesn't have all known bugs fixed yet (cf bugtracker).
can't say how good it works with anope though, been a while since i last used it, but i think there are quite a few people who use the combination in their production network. always recommended to test it out in a testconfiguration first though :)
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

katsklaw

  • Guest
(No subject)
« Reply #3 on: February 19, 2007, 12:20:17 PM »

You don't need Anope-1.7.18-svn for inspircd 1.1 support, you only need the protocol module (inspircd11.c and inspircd11.h). You can use Anope-1.7.18 release.

I've tarred them up from svn at: http://ircd.shellnode.org/inspircd11.tar.bz2

To use:

1. untar this tarball and place the contents of the inspircd11 directory into Anope-1.7.18/src/protocol.
2. (re)compile anope as normal.
3. Specify IRCDModule "inspircd11" in the conf file.

This tarball *should* also fix the 2 known bugs as well (SVSHOLD and vIdent). No promises though. As an alternative to using IRCDmodule "inspircd11", rename both the .c and .h files inspircd.c and inspircd.h, copy to the src/protocol directory. You will have to edit inspircd11.c and change the include inspircd11.h to include inspircd.h

If you use my supplied tarbar you do so at your own risk! It's supplied "as-is" and all support requests will be ignored. If you can't make it work .. sorry about your luck.

[Edited on 19-2-2007 by katsklaw]
Logged

P2P-Fire

  • Guest
(No subject)
« Reply #4 on: February 19, 2007, 10:05:32 PM »

In the future, I assume, Anope is planning on having full InspIRCd support.

I will run this, as said, in a testconfiguration. I have one of my leafs ready to be a psuedohub. To test InspIRCd, Anope, and all the other features I have on my network.

I will probably work on that tonight/tomorrow and let you know how it went.

<3 Anope
Logged

sapphire

  • Guest
InspIRCd and Anope
« Reply #5 on: July 17, 2007, 02:07:44 AM »

I dont know if this relivant but it seems like from what ive read this would be the correct place to post this. The protocal module for InspIRCd1.1 is for people that modules; m_services m_chanprotect ...ect Thou people that wish to use services need to load m_services but i dont use m_chanprotect/ as well as have halfop disabled. Since InspIRCd is fully customized, it dont see it being this possible to customize the protocal module in anope (unless you know about that stuff). With this it seems as thou anope is still a long way of from supporting InspIRCd protocal when it can be changed by owners. I have looked into the other services, and the ircservices module provided by the InspIRCd website needs chanprotect + halfop as well. (globops/spanningtree is the same as services module). But what will the people that dont need these features do about services? |:(
Logged

owine

  • Anope User
  • Offline Offline
  • Posts: 130
(No subject)
« Reply #6 on: July 17, 2007, 04:52:20 PM »

Possibly something can be built into the module to use the CAPAB output from the InspIRCd server to detect what services should support. I know Atheme-Services uses the CAPAB to detect a few things. With UnrealIRCd4 forking InspIRCd, i would expect to see the InspIRCd protocol module improved in the future.
Logged
Pages: [1]   Go Up